Subject: Create expensive looks for less

From: " Secretaryt" <[email-masked] >
Date: Fri, 6 Jul 2007 00:41:46 -0200

Don’t miss the chance to save large on our high-quality replica timepieces!
Lowest prices, free express delivery and the widest choice here!
Huge choice of chronometers identical with the original brand-name ones!
http://stflu.com